<div style='display: flex; align-items: center; justify-content: space-between;'>

  <div style='overflow: hidden;'>
    <span style='display: flex;'>
      <mp-label 	 iri='{{iri.value}}' highlight='{{highlight}}'
                highlight-props='{"style": {"color": "#dc8a4b"}}'
                style='white-space: nowrap; overflow: hidden; text-overflow: ellipsis;'
      ></mp-label>
    </span>
  </div>

  <div class='set-management__item-actions' style='margin-left: auto;'>

    <bs-dropdown>
      <bs-dropdown-toggle pull-right=true bs-style='link' id='set-actions-{{iri.value}}'>
        
      </bs-dropdown-toggle>

      <bs-dropdown-menu class="menu-left">
        <semantic-link-container uri='http://www.researchspace.org/resource/ThinkingFrames' 
                                      urlqueryparam-view='knowledge-map' 
                                      urlqueryparam-resource='{{iri.value}}'>
            <bs-menu-item event-key=km>[[i18n "explore" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
        </semantic-link-container>

        [[#if (hasPermission "forms:ldp:*")]]
          <mp-set-management-action-rename-set>
            <bs-menu-item event-key='rename'>[[i18n "rename" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
          </mp-set-management-action-rename-set>
          <mp-set-management-action-remove-set>
            <bs-menu-item event-key='remove'>[[i18n "remove" bundle="languages/resource_setview" locale=this.lang]]</bs-menu-item>
          </mp-set-management-action-remove-set>
        [[/if]]
      </bs-dropdown-menu>
    </bs-dropdown>
    
  </div>
</div>
